SDL_GetWindowProgressState(3)

NAME
SDL_GetWindowProgressState - Get the state of the progress bar for the given window’s taskbar icon.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_ProgressState SDL_GetWindowProgressState(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to get the current progress state from.

RETURN VALUE
Returns the progress state, or SDL_PROGRESS_STATE_INVALID on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.